<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:08 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ucm_componentsSwitch (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ucm_componentsSwitch (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_componentsSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsAdapterFactory.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsValidator.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" target="_top">Frames</a></li>
<li><a href="Ucm_componentsSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util</div>
<h2 title="Class Ucm_componentsSwitch" class="title">Class Ucm_componentsSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util.Ucm_componentsSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Ucm_componentsSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components"><code>Ucm_componentsPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#Ucm_componentsSwitch--">Ucm_componentsSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseAbstractTypeBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AbstractTypeBinding-">caseAbstractTypeBinding</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AbstractTypeBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AbstractTypeBinding</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Abstract Type Binding</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseAssemblyPart-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AssemblyPart-">caseAssemblyPart</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AssemblyPart.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AssemblyPart</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Assembly Part</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseAtomicComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AtomicComponentImplementation-">caseAtomicComponentImplementation</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AtomicComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AtomicComponentImplementation</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Atomic Component Implementation</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseComponentModule-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ComponentModule-">caseComponentModule</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentModule</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component Module</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseComponentType-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ComponentType-">caseComponentType</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentType</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component Type</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseCompositeComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.CompositeComponentImplementation-">caseCompositeComponentImplementation</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/CompositeComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">CompositeComponentImplementation</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Composite Component Implementation</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseConnection-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.Connection-">caseConnection</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Connection.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Connection</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Connection</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseConnectionLink-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ConnectionLink-">caseConnectionLink</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ConnectionLink.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ConnectionLink</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Connection Link</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseIBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IBinding-">caseIBinding</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IBinding</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IBinding</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseIComponent-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IComponent-">caseIComponent</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponent.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponent</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IComponent</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseIComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IComponentImplementation-">caseIComponentImplementation</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponentImplementation</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IComponent Implementation</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseIConfigured-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.IConfigured-">caseIConfigured</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigured.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts">IConfigured</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IConfigured</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseInteractionItemBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.InteractionItemBinding-">caseInteractionItemBinding</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/InteractionItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">InteractionItemBinding</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Interaction Item Binding</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseIPortSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IPortSpec-">caseIPortSpec</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IPortSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IPortSpec</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IPort Spec</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#casePortRoleSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortRoleSpec-">casePortRoleSpec</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortRoleSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortRoleSpec</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Port Role Spec</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#casePortTypeSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-">casePortTypeSpec</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Port Type Spec</em>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#caseTechnicalPolicy-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.TechnicalPolicy-">caseTechnicalPolicy</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">TechnicalPolicy</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Technical Policy</em>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#doSwitch-int-org.eclipse.emf.ecore.EObject-">doSwitch</a></span>(int&nbsp;classifierID,
        org.eclipse.emf.ecore.EObject&nbsp;theEObject)</code>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html#isSwitchFor-org.eclipse.emf.ecore.EPackage-">isSwitchFor</a></span>(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</code>
<div class="block">Checks whether this is a switch for the given package.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch, doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsPackage</a> modelPackage</pre>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Ucm_componentsSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Ucm_componentsSwitch</h4>
<pre>public&nbsp;Ucm_componentsSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSwitchFor-org.eclipse.emf.ecore.EPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwitchFor</h4>
<pre>protected&nbsp;boolean&nbsp;isSwitchFor(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</pre>
<div class="block">Checks whether this is a switch for the given package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSwitchFor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ePackage</code> - the package in question.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this is a switch for the given package.</dd>
</dl>
</li>
</ul>
<a name="doSwitch-int-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;doSwitch(int&nbsp;classifierID,
                     org.eclipse.emf.ecore.EObject&nbsp;theEObject)</pre>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSwitch</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first non-null result returned by a <code>caseXXX</code> call.</dd>
</dl>
</li>
</ul>
<a name="caseInteractionItemBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.InteractionItemBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInteractionItemBinding</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseInteractionItemBinding(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/InteractionItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">InteractionItemBinding</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Interaction Item Binding</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Interaction Item Binding</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIBinding</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseIBinding(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IBinding</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IBinding</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>IBinding</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="casePortRoleSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortRoleSpec-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePortRoleSpec</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;casePortRoleSpec(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortRoleSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortRoleSpec</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Port Role Spec</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Port Role Spec</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIPortSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IPortSpec-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIPortSpec</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseIPortSpec(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IPortSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IPortSpec</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IPort Spec</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>IPort Spec</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="casePortTypeSpec-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.PortTypeSpec-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePortTypeSpec</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;casePortTypeSpec(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Port Type Spec</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Port Type Spec</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseConnection-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseConnection</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseConnection(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Connection.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Connection</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Connection</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Connection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseConnectionLink-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ConnectionLink-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseConnectionLink</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseConnectionLink(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ConnectionLink.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ConnectionLink</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Connection Link</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Connection Link</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTechnicalPolicy-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.TechnicalPolicy-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTechnicalPolicy</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseTechnicalPolicy(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">TechnicalPolicy</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Technical Policy</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Technical Policy</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAtomicComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AtomicComponentImplementation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAtomicComponentImplementation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseAtomicComponentImplementation(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AtomicComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AtomicComponentImplementation</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Atomic Component Implementation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Atomic Component Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IComponentImplementation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIComponentImplementation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseIComponentImplementation(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponentImplementation</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IComponent Implementation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>IComponent Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIComponent-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.IComponent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIComponent</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseIComponent(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponent.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponent</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IComponent</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>IComponent</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseComponentType-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ComponentType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseComponentType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseComponentType(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentType</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Component Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseCompositeComponentImplementation-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.CompositeComponentImplementation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseCompositeComponentImplementation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseCompositeComponentImplementation(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/CompositeComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">CompositeComponentImplementation</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Composite Component Implementation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Composite Component Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAssemblyPart-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AssemblyPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAssemblyPart</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseAssemblyPart(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AssemblyPart.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AssemblyPart</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Assembly Part</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Assembly Part</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseAbstractTypeBinding-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.AbstractTypeBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseAbstractTypeBinding</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseAbstractTypeBinding(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AbstractTypeBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AbstractTypeBinding</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Abstract Type Binding</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Abstract Type Binding</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseComponentModule-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.ComponentModule-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseComponentModule</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseComponentModule(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentModule</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Component Module</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Component Module</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseIConfigured-org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.IConfigured-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseIConfigured</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;caseIConfigured(<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigured.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts">IConfigured</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>IConfigured</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>IConfigured</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" title="type parameter in Ucm_componentsSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_componentsSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsAdapterFactory.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsValidator.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/Ucm_componentsSwitch.html" target="_top">Frames</a></li>
<li><a href="Ucm_componentsSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
